/***********************************************************************
 *
 * (C) Copyright 2002
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 ***********************************************************************/

#ifndef BUZZER_H
#define BUZZER_H 1

#include <linux/types.h>

#define BUZZER_CMD_SET_FREQ	_IOWR('b', 0, uint *)
#define BUZZER_CMD_SET_PERIOD	_IOW ('b', 1, uint *)
#define BUZZER_CMD_ON		_IO  ('b', 2)
#define BUZZER_CMD_OFF		_IO  ('b', 3)
#define BUZZER_CMD_MONOFLOP	_IO  ('b', 4)
#define BUZZER_CMD_PERIODIC	_IO  ('b', 5)

#endif /* BUZZER_H */
