/*
 * Callouts a la FreeBSD - sort of.
 *
 * Copyright (C) 2002 Gary Jennejohn (gj@denx.de)
 */

#ifndef _TRAB_CALLOUT_H
#define _TRAB_CALLOUT_H

/* everything else is private */
struct callout_list {
	unsigned long when;
	unsigned long period;
	int reload;
	void (*func)(void *);
	void *arg;
};

extern struct callout_list *add_callout(void (*func)(void *), void *, unsigned long, int);
extern void rmv_callout(struct callout_list *);
void mod_callout(struct callout_list *, unsigned long);
#endif /* _TRAB_CALLOUT_H */
