/***********************************************************************
 *
 * (C) Copyright 2002
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 ***********************************************************************/

/* ------------------------------------------------------------------------- */
/* i2c-algo-s3c2400x.h i2c driver defines for the S3C2400X I2C Interface          */
/* ------------------------------------------------------------------------- */
#ifndef I2C_ALGO_S3C2400X_H
#define I2C_ALGO_S3C2400X_H 1

#include <linux/i2c.h>

struct i2c_algo_s3c2400x_data {
	int poll;
	int udelay;
	int retry;
	int int_sleep;
};

int i2c_s3c2400x_add_bus(struct i2c_adapter *);
int i2c_s3c2400x_del_bus(struct i2c_adapter *);

#endif /* I2C_ALGO_S3C2400X_H */
